Package org.jfree.layouting.renderer

## Class AbstractRenderer.RendererState

- java.lang.Object
- - org.jfree.layouting.renderer.AbstractRenderer.RendererState

- All Implemented Interfaces:
    `java.io.Serializable`, `State`
  Direct Known Subclasses:
    `PaginatingRenderer.DefaultFlowRendererState`, `StreamingRenderer.DefaultFlowRendererState`
  Enclosing class:
    AbstractRenderer

      protected abstract static class AbstractRenderer.RendererState
      extends java.lang.Object
      implements State

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `RendererState​(AbstractRenderer renderer)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `fill​(AbstractRenderer renderer, LayoutProcess layoutProcess)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jfree.layouting.State

      `restore`

- - ### Constructor Detail

    - #### RendererState

          protected RendererState​(AbstractRenderer renderer)
                           throws StateException

      Throws:
        `StateException`

  - ### Method Detail

    - #### fill

          protected void fill​(AbstractRenderer renderer,
                              LayoutProcess layoutProcess)
                       throws StateException

      Throws:
        `StateException`